<h1><i class="fa fa-picture-o"></i> S3 Uploads Configuration</h1>
<hr />

<p>You can configure this plugin via <em>environment variables</em>.</p>

<p>
Asset host and asset path are optional. You can leave these blank to default to the standard asset url - http://mybucket.s3.amazonaws.com/uuid.jpg.<br/>
Asset host can be set to a custom asset host. For example, if set to cdn.mywebsite.com then the asset url is http://cdn.mywebsite.com/uuid.jpg.<br/>
Asset path can be set to a custom asset path. For example, if set to /assets, then the asset url is http://mybucket.s3.amazonaws.com/assets/uuid.jpg.<br/>
If both are asset host and path are set, then the url will be http://cdn.mywebsite.com/assets/uuid.jpg.
</p>

<div class="row">
  <div class="col-sm-5">
    <h3>Environment Variables</h3>
    <pre><code>export AWS_ACCESS_KEY_ID="xxxxx"
export AWS_SECRET_ACCESS_KEY="yyyyy"
export S3_UPLOADS_BUCKET="zzzz"
export S3_UPLOADS_HOST="host"
export S3_UPLOADS_PATH="path"
    </code></pre>

  </div>
  <div class="col-sm-7">
    <h3>Your configuration:</h3>

    <form class="form-horizontal" role="form">
      <div class="form-group">
        <label class="control-label col-sm-5" for="email">AWS_ACCESS_KEY_ID:</label>
        <div class="col-sm-7">
          <p class="form-control-static">{accessKeyId}</p>
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-5" for="email">AWS_SECRET_ACCESS_KEY:</label>
        <div class="col-sm-7">
          <p class="form-control-static">{secretAccessKey}</p>
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-5" for="email">S3_UPLOADS_BUCKET:</label>
        <div class="col-sm-7">
          <p class="form-control-static">{bucket}</p>
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-5" for="email">S3_UPLOADS_HOST:</label>
        <div class="col-sm-7">
          <p class="form-control-static">{host}</p>
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-5" for="email">S3_UPLOADS_PATH:</label>
        <div class="col-sm-7">
          <p class="form-control-static">{path}</p>
        </div>
      </div>
    </form>
  </div>
</div>
